# Lesson 1.1

## Guided Exercises

1. How is Debian GNU/Linux different from Ubuntu? Name two aspects.
1. What are the most common environments/platforms Linux is used for? Name three different environments/platforms and name one distribution you can use for each.
1. You are planning to install a Linux distribution in a new environment. Name four things that you should consider when choosing a distribution.
1. Name three devices that the Android OS runs on, other than smartphones.
1. Explain three major advantages of cloud computing.

## Explorational Exercises

1. Considering cost and performance, which distributions are mostly suitable for a business that aims to reduce licensing costs, while keeping performance at its highest? Explain why.
1. What are the major advantages of the Raspberry Pi and which functions can they take in business?
1. What range of distributions does Amazon Cloud Services and Google Cloud offer? Name at least three common ones and two different ones.

# Lesson 1.2

## Guided Exercises

1. For each of the following commands, identify whether it is associated with the Debian packaging system or the Red Hat packaging system:
	* dpkg
	* rpm
	* apt-get
	* yum
	* dnf
1. Which command could be used to install Blender on Ubuntu? After installation, how can the program be executed?
1. Which application from the LibreOffice suite can be used to work with electronic spreadsheets?
1. Which open-source web browser is used as the basis for the development of Google Chrome?
1. SVG is an open standard for vector graphics. Which is the most popular application for editing SVG files in Linux systems?
1. For each of the following file formats, write the name of an application able to open and edit the corresponding file:
	* png
	* doc
	* xls
	* ppt
	* wav
1. Which software package allows file sharing between Linux and Windows machines over the local network?

## Explorational Exercises

1. You know that configuration files are kept even if the associated package is removed from the system. How could you automatically remove the package named cups and its configuration files from a DEB based system?
1. Suppose you have many TIFF image files and want to convert them to JPEG. Which software package could be used to convert those files directly at the command line?
1. Which software package do you need to install in order to be able to open Microsoft Word documents sent to you by a Windows user?
1. Every year, linuxquestions.org promotes a survey about the most popular Linux applications. Visit https://www.linuxquestions.org/questions/2018-linuxquestions-org-members-choice-awards-128/ and find out which desktop applications are most popular among experienced Linux users.

# Lesson 1.3

## Guided Exercises

1. What are — in a nutshell — the “four freedoms” as defined by Richard Stallman and the Free Software Foundation?
	* freedom 0
	* freedom 1
	* freedom 2
	* freedom 3
1. What does the abbreviation FLOSS stand for?
1. You have developed free software and want to ensure that the software itself, but also all future works based on it, remain free as well. Which license do you choose?
	* CC BY
	* GPL version 3
	* 2-Clause BSD License
	* LGPL
1. Which of the following licenses would you call permissive, which would you call copyleft?
	* Simplified BSD License
	* GPL version 3
	* CC BY
	* CC BY-SA
1. You have written a web application and published it under a free license. How can you earn money with your product? Name three possibilities.

## Explorational Exercises

1. Under which license (including version) are the following applications available?
	* Apache HTTP Server
	* MySQL Community Server
	* Wikipedia articles
	* Mozilla Firefox
	* GIMP
1. You want to release your software under the GNU GPL v3. What steps should you follow?
1. You have written proprietary software and would like to combine it with free software under the GPL version 3. Are you allowed to do this or what do you have to consider?
1. Why did the Free Software Foundation release the GNU Affero General Public License (GNU AGPL) as a supplement to the GNU GPL?
1. Name three examples of free software, which are also offered as “Business Edition”, i.e. in a chargeable version.

# Lesson 1.4

## Guided Exercises

1. You should use a “private window” in your browser if you want:
	* To browse completely anonymous on the Internet
	* To leave no trace on the computer you’re using
	* To activate TLS to avoid cookie tracking
	* In order to use DNT
	* To use cryptography during data transmission
1. What is OpenStack?
	* A project that allows the creation of private IaaS
	* A project that allows the creation of private PaaS
	* A project that allows the creation of private SaaS
	* A hypervisor
	* An open source password manager
1. Which of the below options are valid disk encryption softwares?
	* RevealJS, EncFS and dm-crypt
	* dm-crypt and KeePass
	* EncFS and Bitwarden
	* EncFS and dm-crypt
	* TLS and dm-crypt
1. Select true or false for dm-crypt device encryption:
	* Files are encrypted before being written to the disk
	* The entire filesystem is an encrypted blob
	* Only files and directories are encrypted, not symlinks
	* Don’t require root access
	* Is a block device encryption
1. Beamer is:
	* An encryption mechanism
	* A hypervisor
	* A virtualization software
	* An OpenStack component
	* A LaTeX presentation tool

## Explorational Exercises

1. Most distributions come with Firefox installed by default (if yours doesn’t, you will have to install it first). We are going to install a Firefox extension called Lightbeam. You can do that by either pressing Ctrl+Shift+A and searching for “Lightbeam” on the search field that will be shown on the tab opened, or by visiting the extension page with Firefox and clicking on the “Install” button: https://addons.mozilla.org/en-GB/firefox/addon/lightbeam-3-0/. After doing this, start the extension by clicking on its icon and start visiting some webpages on other tabs to see what happens.
1. What is the most important thing when using a password manager?
1. Use your web browser to navigate to https://haveibeenpwned.com/. Find out the purpose of the website and check if your email address was included in some data leaks.
